数据提供商: TikHub
小红书笔记搜索
$0.01 / 次调用在 40 秒内响应
可以通过 TikHub 查找小红书上的笔记。每次调用发送一次请求;无论是否返回数据,TikHub 都对请求计费,空数据响应会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the TikHub endpoint /api/v1/xiaohongshu/app_v2/search_notes on Glasser.bash
glasser run -p tikhub -e '/api/v1/xiaohongshu/app_v2/search_notes' -i '{"keyword":"美食推荐"}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/search_notes","input":{"keyword":"美食推荐"},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
制作研究简报时,可以查找与你的主题相关的已发布帖子,将它们用作资料来源。
复制此提示词到你的 Agent,查找研究简报所需的帖子。
提示词
Use tikhub:/api/v1/xiaohongshu/app_v2/search_notes on Glasser.
Find published content about my topic in the returned posts for a research brief.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"keyword"
],
"properties": {
"page": {
"type": "integer",
"description": "Page number, start from 1"
},
"source": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Source, default \"explore_feed\""
},
"ai_mode": {
"type": "integer",
"description": "AI mode, 0=off, 1=on"
},
"keyword": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search keyword (required), e.g. \"美食推荐\""
},
"note_type": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Note type filter - \"不限\": All types (default) - \"视频笔记\": Video notes only - \"普通笔记\": Image notes only - \"直播笔记\": Live notes only"
},
"search_id": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search ID, pass value from first search response for pagination"
},
"sort_type": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Sort type - \"general\": General sort (default) - \"time_descending\": Sort by time descending (latest) - \"popularity_descending\": Sort by like count (most liked) - \"comment_descending\": Sort by comment count (most commented) - \"collect_descending\": Sort by collect count (most collected) - \"english_preferred\": English preferred"
},
"time_filter": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Time filter - \"不限\": All time (default) - \"一天内\": Within 24 hours - \"一周内\": Within 7 days - \"半年内\": Within 6 months"
},
"search_session_id": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search session ID, pass value from first search response for pagination"
}
},
"additionalProperties": false
}json
{
"keyword": "美食推荐"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.01 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |